Package com.xebialabs.xlrelease.risk.domain

## Class RiskProfile

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseConfiguration
    - - com.xebialabs.xlrelease.risk.domain.RiskProfile

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(description="A Risk Profile",
                root=CONFIGURATION,
                versioned=false)
      public class RiskProfile
      extends BaseConfiguration

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_RISK_PROFILE_ID` |
    `static java.lang.String` | `RISK_PROFILE` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RiskProfile()` |
    `RiskProfile​(java.lang.String title)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `generateRiskProfileId()` |
    `static java.lang.String` | `generateRiskProfileId​(java.lang.String name)` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getRiskProfileAssessors()` |
    `java.lang.String` | `getTitle()` |
    `int` | `getValueFor​(Type riskProfileAssessorType)` |
    `int` | `getValueFor​(java.lang.String riskProfileAssessorKey, int defaultValue)` |
    `boolean` | `hasRiskAssessorEnabled​(Type type)` |
    `boolean` | `isDefaultProfile()` |
    `void` | `setDefaultProfile​(boolean defaultProfile)` |
    `void` | `setRiskProfileAssessors​(java.util.Map<java.lang.String,​java.lang.String> riskProfileAssessors)` |
    `void` | `setTitle​(java.lang.String title)` |
    `void` | `setValueFor​(Type riskProfileAssessorType, int value)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

      `getFolderId, hasId, setFolderId`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### RISK_PROFILE

          public static final java.lang.String RISK_PROFILE

      See Also:
        Constant Field Values

    - #### DEFAULT_RISK_PROFILE_ID

          public static final java.lang.String DEFAULT_RISK_PROFILE_ID

  - ### Constructor Detail

    - #### RiskProfile

          public RiskProfile()

    - #### RiskProfile

          public RiskProfile​(java.lang.String title)

  - ### Method Detail

    - #### getValueFor

          public int getValueFor​(java.lang.String riskProfileAssessorKey,
                                 int defaultValue)

    - #### getValueFor

          public int getValueFor​(Type riskProfileAssessorType)

    - #### setValueFor

          public void setValueFor​(Type riskProfileAssessorType,
                                  int value)

    - #### getTitle

          public java.lang.String getTitle()

      Overrides:
        `getTitle` in class `BaseConfiguration`

    - #### setTitle

          public void setTitle​(java.lang.String title)

      Overrides:
        `setTitle` in class `BaseConfiguration`

    - #### hasRiskAssessorEnabled

          public boolean hasRiskAssessorEnabled​(Type type)

    - #### isDefaultProfile

          public boolean isDefaultProfile()

    - #### getRiskProfileAssessors

          public java.util.Map<java.lang.String,​java.lang.String> getRiskProfileAssessors()

    - #### setRiskProfileAssessors

          public void setRiskProfileAssessors​(java.util.Map<java.lang.String,​java.lang.String> riskProfileAssessors)

    - #### generateRiskProfileId

          public static java.lang.String generateRiskProfileId​(java.lang.String name)

    - #### generateRiskProfileId

          public static java.lang.String generateRiskProfileId()

    - #### setDefaultProfile

          public void setDefaultProfile​(boolean defaultProfile)